import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IntegrationSlackChannelConfig extends cdktf.TerraformMetaArguments {
    /**
     * Slack account name.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/integration_slack_channel.html#account_name IntegrationSlackChannel#account_name}
     *
     * @stability stable
     */
    readonly accountName: string;
    /**
     * Slack channel name.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/integration_slack_channel.html#channel_name IntegrationSlackChannel#channel_name}
     *
     * @stability stable
     */
    readonly channelName: string;
    /**
     * display block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/integration_slack_channel.html#display IntegrationSlackChannel#display}
     *
     * @stability stable
     */
    readonly display: IntegrationSlackChannelDisplay[];
}
/**
 * @stability stable
 */
export interface IntegrationSlackChannelDisplay {
    /**
     * Show the main body of the alert event.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/integration_slack_channel.html#message IntegrationSlackChannel#message}
     *
     * @stability stable
     */
    readonly message?: boolean;
    /**
     * Show the list of @-handles in the alert event.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/integration_slack_channel.html#notified IntegrationSlackChannel#notified}
     *
     * @stability stable
     */
    readonly notified?: boolean;
    /**
     * Show the alert event's snapshot image.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/integration_slack_channel.html#snapshot IntegrationSlackChannel#snapshot}
     *
     * @stability stable
     */
    readonly snapshot?: boolean;
    /**
     * Show the scopes on which the monitor alerted.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/integration_slack_channel.html#tags IntegrationSlackChannel#tags}
     *
     * @stability stable
     */
    readonly tags?: boolean;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/datadog/r/integration_slack_channel.html datadog_integration_slack_channel}.
 *
 * @stability stable
 */
export declare class IntegrationSlackChannel extends cdktf.TerraformResource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/datadog/r/integration_slack_channel.html datadog_integration_slack_channel} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IntegrationSlackChannelConfig);
    private _accountName;
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    set accountName(value: string);
    /**
     * @stability stable
     */
    get accountNameInput(): string;
    private _channelName;
    /**
     * @stability stable
     */
    get channelName(): string;
    /**
     * @stability stable
     */
    set channelName(value: string);
    /**
     * @stability stable
     */
    get channelNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _display;
    /**
     * @stability stable
     */
    get display(): IntegrationSlackChannelDisplay[];
    /**
     * @stability stable
     */
    set display(value: IntegrationSlackChannelDisplay[]);
    /**
     * @stability stable
     */
    get displayInput(): IntegrationSlackChannelDisplay[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
